grk::grk_mct_data Struct Reference

MCT data. More...

`#include <CodingParams.h>`

## Public Attributes

J2K_MCT_ELEMENT_TYPE | element_type_
J2K_MCT_ARRAY_TYPE | array_type_
uint32_t | index_
uint8_t * | data_
uint32_t | data_size_

## Detailed Description

MCT data.

## Member Data Documentation

## array_type_

J2K_MCT_ARRAY_TYPE grk::grk_mct_data::array_type_

## data_

uint8_t* grk::grk_mct_data::data_

Referenced by grk::TileCodingParams::copy().

## data_size_

uint32_t grk::grk_mct_data::data_size_

## element_type_

J2K_MCT_ELEMENT_TYPE grk::grk_mct_data::element_type_

## index_

uint32_t grk::grk_mct_data::index_

The documentation for this struct was generated from the following file:

- CodingParams.h